Subject: Re: bug#6554: [PATCH] split: Additional suffix for split (bug#6554)

From: Jérémy Compostella <[email-masked]>
Date: Sat, 18 Feb 2012 15:51:28 +0100

> That's a good point. --additional-suffix is better.
>
> Note csplit has a more general --suffix-format option
> (which can be shortened to --suffix).
> So one can do: --suffix="%02d.txt".
> However that's only possible, because csplit
> supports only numeric suffixes.
>
> However, this is starting to make me think
> this marginal feature isn't worth it.
> For the record, summarising the disadvantages so far:
>
>  Backwards incompat with other systems (including older coreutils).
>  Some complexity in understanding/describing various suffix options.
With the new "--additional-suffix" it looks clear to me.
>  Interoperability issue with possible future auto suffix len feature.
If I remember well the issue is related with the alphabetic file
order. This issue could be easily handled by the user.

IMHO, this feature is maybe marginal but it is very convenient to have
it. Anyway, it would be great to state on it as I need to know if I
should let it go or not. It's always hard to trash work but that's the
game ! :)

Cheers,

Jérémy